%define commit	ba20ba5293b36242a8f590e50e1efd63568cb271
%define date	20240303

Summary:	Toolkit for Oracle with MySQL and PostgreSQL support only
Name:		tora
Version:	3.2
Release:	%mkrel 8.git%{date}.2
Group:		Development/Databases
License:	GPLv2+
URL:		https://github.com/tora-tool/tora/wiki
#Source:		https://github.com/tora-tool/tora/archive/v%%{version}/%%{name}-%%{version}.tar.gz
Source:		https://github.com/tora-tool/tora/archive/%{commit}/%{name}-%{version}+git%{date}.tar.gz
# taken from https://github.com/cubicdaiya/dtl/pull/18
Patch1:		0001-Fix-build-with-GCC-14.patch
# taken from https://github.com/antlr/antlr3/pull/224
Patch2:		0001-Remove-const-specifiers-from-CyclicDFA-members.patch
Patch3:		tora-cmake-4.0.patch
BuildRequires:	cmake
BuildRequires:	boost-devel
BuildRequires:	postgresql-devel
BuildRequires:	qscintilla-qt5-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	subversion
Requires:	qt5-common
Requires:	qt5-database-plugin-mysql
Requires:	qt5-database-plugin-pgsql
Conflicts:	tora-oracle

%description
TOra - Toolkit for Oracle, MySQL and PostgreSQL

ATTENTION: This package of TOra doesn't include Oracle support.
If you need Oracle support please install Oracle instant client
and the tora-oracle package instead.

In addition, TOra also supports PostgreSQL and MySQL if your Qt library
is compiled with that support.

Oracle is copyright of Oracle Corporation.

%prep
%autosetup -p1 -n %{name}-%{commit}

%build
%cmake \
	-DWANT_INTERNAL_LOKI=ON \
	-DWANT_INTERNAL_QSCINTILLA=OFF \
	-DENABLE_ORACLE=0FF \
	-DPOSTGRESQL_PATH_LIB=%{libdir}/postgresql/  \
	-DPOSTGRESQL_PATH_INCLUDES=%{includedir}/postgresql/
%cmake_build

%install
%cmake_install

install -D -m 0644 src/icons/tora.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/tora.png

mkdir -p %{buildroot}%{_libdir}
install -m 0644 src/templates/*.tpl %{buildroot}%{_libdir}/

mkdir -p %{buildroot}%{_docdir}/tora/
cat > %{buildroot}%{_docdir}/tora/README.urpmi << EOF

ATTENTION:
This package of TOra doesn't include Oracle support.

If you need Oracle support, please install Oracle instant client
first and the tora-oracle package instead.

You can download Oracle instant client from Oracle web site
for free.

EOF


%files
%doc %{_docdir}/%{name}/
%{_bindir}/*
%{_libdir}/*.tpl
%{_datadir}/applications/%{name}.desktop
%{_datadir}/tora*/
%{_iconsdir}/hicolor/*/apps/%{name}*.*


%changelog
* Mon Jul 14 2025 daviddavid <daviddavid> 3.2-8.git20240303.2.mga10
+ Revision: 2255264
- fix build with cmake 4.0
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild

* Fri Oct 25 2024 daviddavid <daviddavid> 3.2-8.git20240303.1.mga10
+ Revision: 2111114
- update to latest git snapshot as of 20240303
- add patches to fix build with GCC 14

* Mon Sep 26 2022 neoclust <neoclust> 3.2-7.mga9
+ Revision: 1892338
- Add upstream 7143ce20bb9d49162911a13f2a7502b4963af377 patch, to help detecting qscintilla

* Wed Apr 06 2022 umeabot <umeabot> 3.2-6.mga9
+ Revision: 1845954
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 umeabot <umeabot> 3.2-5.mga8
+ Revision: 1660076
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 3.2-4.mga8
+ Revision: 1525111
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Tue Apr 02 2019 umeabot <umeabot> 3.2-3.mga7
+ Revision: 1385120
- Qt5 Rebuild

* Tue Feb 19 2019 daviddavid <daviddavid> 3.2-2.mga7
+ Revision: 1368522
- rebuild for new qscintilla 2.11.1

* Sat Feb 16 2019 daviddavid <daviddavid> 3.2-1.mga7
+ Revision: 1367502
- new version: 3.2
- port to Qt5
- update URL and Source URL
- use upstream desktop file

* Sun Sep 23 2018 umeabot <umeabot> 2.1.3-16.mga7
+ Revision: 1301439
- Mageia 7 Mass Rebuild

* Thu Apr 19 2018 daviddavid <daviddavid> 2.1.3-15.mga7
+ Revision: 1220183
- rebuild for new qscintilla 2.10.4

* Fri Sep 22 2017 cjw <cjw> 2.1.3-14.mga7
+ Revision: 1157010
- patch1: fix build with gcc 7
+ daviddavid <daviddavid>
- fix for new find_lang

* Thu Oct 13 2016 daviddavid <daviddavid> 2.1.3-13.mga6
+ Revision: 1060628
- fix desktop file Categories (mga#2449)

* Wed Feb 17 2016 umeabot <umeabot> 2.1.3-12.mga6
+ Revision: 963074
- Mageia 6 Mass Rebuild

* Tue Nov 25 2014 cjw <cjw> 2.1.3-11.mga6
+ Revision: 798932
- rebuild against postgresql9.4

* Wed Oct 15 2014 umeabot <umeabot> 2.1.3-10.mga5
+ Revision: 739740
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.1.3-9.mga5
+ Revision: 689922
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.1.3-8.mga5
+ Revision: 519706
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 2.1.3-7.mga3
+ Revision: 384657
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 11 2012 matteo <matteo> 2.1.3-6.mga3
+ Revision: 329758
- rebuilt against new lib qscintilla

* Tue Oct 23 2012 juancho <juancho> 2.1.3-5.mga3
+ Revision: 309434
- Added a patch to fix build error about gethostname not found.
- Added missing BR for subversion client

* Mon Dec 26 2011 fwang <fwang> 2.1.3-4.mga2
+ Revision: 187707
- rebuild for new  qscintilla

* Tue Nov 29 2011 juancho <juancho> 2.1.3-3.mga2
+ Revision: 174201
- Removed unnecesary %%post and %%postun

* Fri Jul 01 2011 fwang <fwang> 2.1.3-2.mga2
+ Revision: 117108
- rebuild for new qscintilla

* Mon Apr 18 2011 juancho <juancho> 2.1.3-1.mga1
+ Revision: 87609
- Removed BuildRoot.
- imported package tora


* Fri Oct 22 2010 Juan Luis Baptiste <juancho@mandriva.org> 2.1.3-1mdv2011.0
+ Revision: 587202
- Updated to 2.1.3

* Tue May 25 2010 Juan Luis Baptiste <juancho@mandriva.org> 2.1.2-2mdv2010.1
+ Revision: 545959
- Modified README.urpmi to let know now Oracle support is available only with tora-oracle package on tora sf.net download site.

* Mon Mar 29 2010 Juan Luis Baptiste <juancho@mandriva.org> 2.1.2-1mdv2010.1
+ Revision: 528898
- Updated to 2.1.2.

* Wed Dec 23 2009 Juan Luis Baptiste <juancho@mandriva.org> 2.1.1-1mdv2010.1
+ Revision: 481637
- Updated to 2.1.1
- Removed Office category from desktop file.

* Fri Sep 18 2009 Juan Luis Baptiste <juancho@mandriva.org> 2.1.0-1mdv2010.0
+ Revision: 444241
- Updated to 2.1.0
- Removed patches 0 and 2 as they're no longer needed, and temporary removed patch 1 as it needs more work.

* Tue Sep 08 2009 Stéphane Téletchéa <steletch@mandriva.org> 2.0.0-2mdv2010.0
+ Revision: 433121
-remove unneeded lib dependency

* Tue Sep 01 2009 Stéphane Téletchéa <steletch@mandriva.org> 2.0.0-1mdv2010.0
+ Revision: 424018
- Initial Mandriva import, from spec provided by Juan Luis Baptiste


* Wed Jul 31 2009 Juan Luis Baptiste <juancho@mandriva.org> 2.0.0-1mdv2010.0
- Initial Mandriva import
